Bug 52380 - DVD players crash with BadAlloc error
Summary: DVD players crash with BadAlloc error
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: roswell
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-23 11:21 UTC by dl.co
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-16 17:04:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description dl.co 2001-08-23 11:21:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-2 i686)

Description of problem:
All DVD players Xine 5.1, VLC 2.80, Ogle .73 start playing dvd for less
than a second then program dies. Xine reports :X Error of failed request: 
BadAlloc (insufficient resources for operation)
  Major opcode of failed request:  144 (XVideo)
  Minor opcode of failed request:  19 ()
  Serial number of failed request:  2674
  Current serial number in output stream:  2674

Swap memory = used 15, free 590
Roswell beta 2

Roswell beta 1 was OK!


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start Xine, Video Lan Client or Ogle	
2.Select dvd and hit play
3.See video flash on screen, hear sound, watch it die < 1 sec
	

Actual Results:  X Error of failed request:  BadAlloc (insufficient
resources for operation)
  Major opcode of failed request:  144 (XVideo)
  Minor opcode of failed request:  19 ()
  Serial number of failed request:  2674
  Current serial number in output stream:  2674

Expected Results:  Hours of DVD viewing pleasure.

Additional info:

AMD Athlon - 256 Meg ram - Matrox g200 8 MB - Abit KT7-raid
Maxtor 20g ATA100 connected to onboard hpt37x raid controller

Comment 1 dl.co 2001-08-23 14:32:05 UTC
Fixed by going back to XFree86 version 4.1


Reinstalled XF86 4.1 from Xfree86.org and reconfigured using xf86config. The new
Xconfigurator does not work with this version.

Note: Initially started x with old XF86config file from dev (roswell 2) version,
error still occured until I reconfigured using xf86config.

Comment 2 Glen Foster 2001-08-24 15:54:42 UTC
We (Red Hat) should try to fix this before next release.

Comment 3 Mike A. Harris 2001-09-02 08:08:09 UTC
XFree86 4.1.0 from upstream is not layed out the same as our packages
are, so it is unlikely to work properly with our provided tools.

The error you are seeing indicates that it could not allocate enough
memory for the operation it is attempting.  I'm willing to bet that
your X configuration is using too much video memory and Xvideo
cannot allocate what it requires.  Lower your resolution and/or
bit depth and/or disable DRI if it is enabled.

Please attach your config file and your X server log using the link
below.


Comment 4 Mike A. Harris 2001-10-16 17:04:36 UTC
If you want this looked into, please attach the requested information.

Comment 5 Mike A. Harris 2001-11-01 12:46:39 UTC
Closing bug.


Note You need to log in before you can comment on or make changes to this bug.